
package de.stefandraegersoftware.wsserver.sonar;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the de.stefandraegersoftware.wsserver.sonar package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _GetSonarValueByIndexResponse_QNAME = new QName("http://sonar.wsServer.stefandraegersoftware.de/", "getSonarValueByIndexResponse");
    private final static QName _GetSonarValues_QNAME = new QName("http://sonar.wsServer.stefandraegersoftware.de/", "getSonarValues");
    private final static QName _GetSonarValuesResponse_QNAME = new QName("http://sonar.wsServer.stefandraegersoftware.de/", "getSonarValuesResponse");
    private final static QName _GetSonarValueByIndex_QNAME = new QName("http://sonar.wsServer.stefandraegersoftware.de/", "getSonarValueByIndex");
    private final static QName _GetReaderResponse_QNAME = new QName("http://sonar.wsServer.stefandraegersoftware.de/", "getReaderResponse");
    private final static QName _GetLastSonarValue_QNAME = new QName("http://sonar.wsServer.stefandraegersoftware.de/", "getLastSonarValue");
    private final static QName _AddSonarValue_QNAME = new QName("http://sonar.wsServer.stefandraegersoftware.de/", "addSonarValue");
    private final static QName _AddSonarValueResponse_QNAME = new QName("http://sonar.wsServer.stefandraegersoftware.de/", "addSonarValueResponse");
    private final static QName _GetLastSonarValueResponse_QNAME = new QName("http://sonar.wsServer.stefandraegersoftware.de/", "getLastSonarValueResponse");
    private final static QName _GetReader_QNAME = new QName("http://sonar.wsServer.stefandraegersoftware.de/", "getReader");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: de.stefandraegersoftware.wsserver.sonar
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GetLastSonarValue }
     * 
     */
    public GetLastSonarValue createGetLastSonarValue() {
        return new GetLastSonarValue();
    }

    /**
     * Create an instance of {@link AddSonarValue }
     * 
     */
    public AddSonarValue createAddSonarValue() {
        return new AddSonarValue();
    }

    /**
     * Create an instance of {@link AddSonarValueResponse }
     * 
     */
    public AddSonarValueResponse createAddSonarValueResponse() {
        return new AddSonarValueResponse();
    }

    /**
     * Create an instance of {@link GetLastSonarValueResponse }
     * 
     */
    public GetLastSonarValueResponse createGetLastSonarValueResponse() {
        return new GetLastSonarValueResponse();
    }

    /**
     * Create an instance of {@link GetReader }
     * 
     */
    public GetReader createGetReader() {
        return new GetReader();
    }

    /**
     * Create an instance of {@link GetSonarValueByIndexResponse }
     * 
     */
    public GetSonarValueByIndexResponse createGetSonarValueByIndexResponse() {
        return new GetSonarValueByIndexResponse();
    }

    /**
     * Create an instance of {@link GetSonarValues }
     * 
     */
    public GetSonarValues createGetSonarValues() {
        return new GetSonarValues();
    }

    /**
     * Create an instance of {@link GetSonarValuesResponse }
     * 
     */
    public GetSonarValuesResponse createGetSonarValuesResponse() {
        return new GetSonarValuesResponse();
    }

    /**
     * Create an instance of {@link GetReaderResponse }
     * 
     */
    public GetReaderResponse createGetReaderResponse() {
        return new GetReaderResponse();
    }

    /**
     * Create an instance of {@link GetSonarValueByIndex }
     * 
     */
    public GetSonarValueByIndex createGetSonarValueByIndex() {
        return new GetSonarValueByIndex();
    }

    /**
     * Create an instance of {@link SonarValue }
     * 
     */
    public SonarValue createSonarValue() {
        return new SonarValue();
    }

    /**
     * Create an instance of {@link SonarReader }
     * 
     */
    public SonarReader createSonarReader() {
        return new SonarReader();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetSonarValueByIndexResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://sonar.wsServer.stefandraegersoftware.de/", name = "getSonarValueByIndexResponse")
    public JAXBElement<GetSonarValueByIndexResponse> createGetSonarValueByIndexResponse(GetSonarValueByIndexResponse value) {
        return new JAXBElement<GetSonarValueByIndexResponse>(_GetSonarValueByIndexResponse_QNAME, GetSonarValueByIndexResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetSonarValues }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://sonar.wsServer.stefandraegersoftware.de/", name = "getSonarValues")
    public JAXBElement<GetSonarValues> createGetSonarValues(GetSonarValues value) {
        return new JAXBElement<GetSonarValues>(_GetSonarValues_QNAME, GetSonarValues.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetSonarValuesResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://sonar.wsServer.stefandraegersoftware.de/", name = "getSonarValuesResponse")
    public JAXBElement<GetSonarValuesResponse> createGetSonarValuesResponse(GetSonarValuesResponse value) {
        return new JAXBElement<GetSonarValuesResponse>(_GetSonarValuesResponse_QNAME, GetSonarValuesResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetSonarValueByIndex }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://sonar.wsServer.stefandraegersoftware.de/", name = "getSonarValueByIndex")
    public JAXBElement<GetSonarValueByIndex> createGetSonarValueByIndex(GetSonarValueByIndex value) {
        return new JAXBElement<GetSonarValueByIndex>(_GetSonarValueByIndex_QNAME, GetSonarValueByIndex.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetReaderResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://sonar.wsServer.stefandraegersoftware.de/", name = "getReaderResponse")
    public JAXBElement<GetReaderResponse> createGetReaderResponse(GetReaderResponse value) {
        return new JAXBElement<GetReaderResponse>(_GetReaderResponse_QNAME, GetReaderResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetLastSonarValue }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://sonar.wsServer.stefandraegersoftware.de/", name = "getLastSonarValue")
    public JAXBElement<GetLastSonarValue> createGetLastSonarValue(GetLastSonarValue value) {
        return new JAXBElement<GetLastSonarValue>(_GetLastSonarValue_QNAME, GetLastSonarValue.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddSonarValue }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://sonar.wsServer.stefandraegersoftware.de/", name = "addSonarValue")
    public JAXBElement<AddSonarValue> createAddSonarValue(AddSonarValue value) {
        return new JAXBElement<AddSonarValue>(_AddSonarValue_QNAME, AddSonarValue.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddSonarValueResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://sonar.wsServer.stefandraegersoftware.de/", name = "addSonarValueResponse")
    public JAXBElement<AddSonarValueResponse> createAddSonarValueResponse(AddSonarValueResponse value) {
        return new JAXBElement<AddSonarValueResponse>(_AddSonarValueResponse_QNAME, AddSonarValueResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetLastSonarValueResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://sonar.wsServer.stefandraegersoftware.de/", name = "getLastSonarValueResponse")
    public JAXBElement<GetLastSonarValueResponse> createGetLastSonarValueResponse(GetLastSonarValueResponse value) {
        return new JAXBElement<GetLastSonarValueResponse>(_GetLastSonarValueResponse_QNAME, GetLastSonarValueResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetReader }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://sonar.wsServer.stefandraegersoftware.de/", name = "getReader")
    public JAXBElement<GetReader> createGetReader(GetReader value) {
        return new JAXBElement<GetReader>(_GetReader_QNAME, GetReader.class, null, value);
    }

}
