var scannerResultGraph = "valueBackgroundGraph";
var scannerResultFillColor = 'red';
var lineWidth = 2;
var scannerResultMaxY = 235;

function drawScanResult(json) {
	clearScannResultGraph();
	console.log(json);
	for (var i = 0; i < 170; i++) {
		drawScannerResultPoint(i, json[i]);
	}
}

function drawScannerResultPoint(degree, value) {
	var className = "srg" + degree;
	var mx = parseInt(degree);
	var my = scannerResultMaxY - Math.round(value);
	if (my < 0) {
		my = 5;
	}
	$(".valueGraph").append(
			"<div class='srgImage " + className
					+ "' style='position:relative; left:" + mx + "px; top:"
					+ my + "px;'></div>");
}

function clearScannResultGraph() {
	$(".valueGraph").empty();
}