package de.stefandraegersoftware.wsServer;

import javax.xml.ws.Endpoint;

import de.stefandraegersoftware.wsServer.sonar.SonarService;

public class RunService {
	
	//http://localhost:8090/Sonar?wsdl

	private static SonarService sonarService;

	public static void main(String[] args) {
		sonarService = new SonarService();
		System.out.println("Sonar Web Service gestartet.");
		Endpoint.publish("http://localhost:8090/Sonar", sonarService);
		afterProcess();
	}

	private static void afterProcess(){
		Runtime.getRuntime().addShutdownHook(new Thread() {
		    public void run() {
		        sonarService.getReader().setInterruptThread(true);
		    }
		});
	}

}
