package de.stefandraegersoftware.wsServer.sonar;

import static org.junit.Assert.assertTrue;

import org.junit.Test;

public class SonarValueParserTest {

	private static final String ARD_VALUE = "[139;006.02]";

	@Test
	public void testParseFromArduino() {
		SonarValue sonarValue =(SonarValue) SonarValueParser.parseFromArduino(ARD_VALUE);
		System.out.println(sonarValue.toString());
		assertTrue(sonarValue.getDegree() == 139);
		assertTrue(sonarValue.getValue() == 6.02f);
		assertTrue(sonarValue.getTimestamp() > 0L);
	}

}
