var globalHiddenBlockCounter = 0;
var oldElement = null;
$(document).ready(function() {
	window.setInterval("hideBlock()", 1000);
});

function hideBlock() {
	globalHiddenBlockCounter++;
	if (globalHiddenBlockCounter == 15) {
		globalHiddenBlockCounter = 1;
		oldElement.css('visibility', 'visible');
		oldElement = null;
	}
	if (oldElement != null) {
		oldElement.css('visibility', 'visible');
	}

	oldElement = $('.block' + globalHiddenBlockCounter);
	oldElement.css('visibility', 'hidden');
}

function playLinkSound() {
	var audio = new Audio('resources/sounds/computerbeep_13.mp3');
	audio.play();
	console.log("---->" + new Date());
}

function addAudioCallBackToMeasurements() {
	$(".sonarValue").each(function(index) {
		$(this).on("click", getAudioCallBack());
	});
}

function getAudioCallBack() {
	return function() {
		playLinkSound();
	}
}