var scanner = "scannerGraph";

var maxY = 60;

var x = 0;
var y = 60;
var lastY = 0;

var fillColor = '#FFF';
var lineWidth = 2;

function drawLine(value) {
	var ctx = getContext();

	var innerValue = Math.round(value);

	var innerX = 10 + lastY;
	var innerY = maxY - innerValue;
	if (innerY < 0) {
		innerY = 5;
	}
	console.log(innerY);
	
	ctx.beginPath();
	ctx.moveTo(x, y);
	ctx.lineTo(innerX, innerY);
	ctx.strokeStyle = fillColor;
	ctx.lineWidth = lineWidth;
	ctx.stroke();
	this.x = innerX;
	this.y = innerY;
	this.lastY += 10;
	drawPoint(x, y);

	if (x >= 510) {
		clearGraph();
	}
}

function clearGraph() {
	var canvas = document.getElementById(scanner);
	var ctx = canvas.getContext("2d");
	ctx.clearRect(0, 0, canvas.width, canvas.height);
	this.x = 0;
	this.y = 60;
	this.lastY = 0;
}

function drawPoint(x, y) {
	var ctx = getContext();
	ctx.beginPath();
	ctx.arc(x, y, 1, 0, 2 * Math.PI);
	ctx.fillStyle = fillColor;
	ctx.fill();
	ctx.stroke();
}

function getContext() {
	var c = document.getElementById(scanner);
	return c.getContext("2d");
}
